Name:           timescaledb
Version:        0.11.0
Release:        1%{?dist}
Summary:        Open-source time-series database powered by PostgreSQL

License:        ASL 2.0
URL:            http://www.timescale.com
Source0:        https://github.com/timescale/%{name}/archive/%version/%{name}-%version.tar.gz

BuildRequires:  cmake gcc postgresql-devel

%{?postgresql_module_requires}

%description
TimescaleDB is an open-source database designed to make SQL scalable for
time-series data.  It is engineered up from PostgreSQL, providing automatic
partitioning across time and space (partitioning key), as well as full SQL
support.


%prep
%setup -q -n %{name}-%{version}


%build
%cmake .
%make_build


%install
%make_install


%files
%license LICENSE
%doc README.md
%{_libdir}/pgsql/%{name}-%{version}.so
%{_libdir}/pgsql/%{name}.so
%{_datadir}/pgsql/extension/%{name}--*%{version}.sql
%{_datadir}/pgsql/extension/%{name}.control


%changelog
* Thu Aug  9 2018 Patrik Novotný <panovotn@redhat.com> - 0.11.0-1
- An upstream update to 0.11.0

* Tue Aug  7 2018 Patrik Novotný <panovotn@redhat.com> - 0.10.1-1
- Initial build
